Package com.usatiuk.dhfs.remoteobj

# Interface JDataRemote

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `ChunkData`, `File`, `PeerInfo`

public interface JDataRemote extends Serializable

## Method Summary

Modifier and Type
Method
Description
`default Collection<JObjectKey>`
`collectRefsTo()`
`default Class<? extends JDataRemoteDto>`
`dtoClass()`
`default int`
`estimateSize()`
`JObjectKey`
`key()`

## Method Details

### key

JObjectKey key()

### estimateSize

default int estimateSize()

### collectRefsTo

default Collection<JObjectKey> collectRefsTo()

### dtoClass

default Class<? extends JDataRemoteDto> dtoClass()